-module(ssh_manager).

%% API
-export([start/0, stop/0]).

% path to own folder .ssh
-define(USER_CONFIG, "./.ssh").
-define(TIMEOUT, 2000).

%% start app

start() ->
    crypto:start(),
    ssh:start(),
    listen().

%% stop app

stop() ->
    ssh:stop_daemon({127, 0, 0, 1}, 9999),
    ssh:stop(),
    crypto:stop().

%% server

listen() ->
    listen(9999).

listen(Port) ->
    listen(Port, [
				  {system_dir, ?USER_CONFIG},
				  {user_dir, ?USER_CONFIG},
				  {user, "test"},
				  {password, "test"}
		 ]).

listen(Port, Opts) ->
    listen({127, 0, 0, 1}, Port, Opts).

listen(Addr, Port, Opts) ->
    case ssh:daemon(Addr, Port,   [{shell, {shell, start, []}} | Opts]) of
	{ok, SshDaemon} ->
	    io:format("SshDaemon:~p~n", [SshDaemon]);
	{error, Reason} ->
	    io:format("Error:Reason:~p~n", [Reason])
    end.

